Bug 55642 - eepro is slow
eepro is slow
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-03 16:01 EST by acount closed by user
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 16:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2001-11-03 16:01:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
Red Hat Linux  try turn on the eth0 at boot !!!

--dmesg at boot
eepro_init_module: Probe is very dangerous in ISA boards!
eepro_init_module: Please add "autodetect=1" to force probe

but at /etc/sysconfig/network-scripts/ifcfg-eth0

then I configure the eth0:
# ifconfig eth0 
open a ncftp session 
and get a file at 1.10 Mb/s
but then the ratio down at 15k/s

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot 
2. ifconfig eth0
3. ifdown eth0

Additional info:

Adapter ISA Intel PRO/10+ 82595FX

Options with SoftSet2 V4.10

I/O Address             300 - 30Fh
Interrupt               IRQ 10
Board Connector type    Auto-detect
Force 8-bit operation   No
Flash chip addres       Disable
Remote boot program     None

Concurrent processing   Enabled
Plug and Play           Disabled
Duplex Mode             Auto-Negotiate
Power Management        Disabled

Red Hat 7.2 kernel-2.4.9-13.i586.rpm plus all upgrades

options eth0 io=0x300 irq=10
alias eth0 eepro
Comment 1 acount closed by user 2001-11-03 19:28:07 EST
the solution here:


o       Fix performance and misdetect problems in       (Chris)
        eepro driver
Comment 2 acount closed by user 2001-11-16 12:08:36 EST
the new driver is here:

Note You need to log in before you can comment on or make changes to this bug.